v3.0
put
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/resupplies/{resupplyId}
Updates a resupply group by ID.
Rights: SupplySettingRightsPost
Required sponsor roles are clinical supply manager and site manager.
Rights: SupplySettingRightsPost
Required sponsor roles are clinical supply manager and site manager.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
resupplyId(required): string(uuid)
ID of resupply group.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : Resupply Group Request
Type:
objectTitle:
Resupply Group RequestRequest containing resupply group details.
Show Source
-
countRandomizedSubjects: boolean
Set to true to count randomized subjectsExample:
false -
groups(required): array
groups
Minimum Number of Items:
1 -
ignoreIfOutsideWindowBy: integer
(int32)
Ignore if outside window by this number of daysExample:
10 -
ignoreSubjectsOnDoseHold: boolean
Set to true to ignore subjects on dose holdExample:
false -
ignoreSubjectsOnSkipDispensingVisit: boolean
Set to true to ignore subjects on skip dispensing visitExample:
false -
resupplyId: string
(uuid)
Resupply Id
-
resupplyName(required): string
Minimum Length:
0Maximum Length:50Resupply nameExample:resupplyNameNew1 -
resupplyTypeId(required): integer
(int32)
Resupply group type.Example:
2 -
type(required): string
Resupply group type.Example:
Site
Nested Schema : groups
Type:
arrayMinimum Number of Items:
Show Source
1-
Array of:
object ResupplyDynamicGroup v1.0
Title:
ResupplyDynamicGroup v1.0Group object for resupply group.
Nested Schema : ResupplyDynamicGroup v1.0
Type:
objectTitle:
ResupplyDynamicGroup v1.0Group object for resupply group.
Show Source
-
id: string
Title:
Group IDGroup identifier.Example:32120000700000000000000000000014 -
kitTypes(required): array
Kit Types
Title:
Kit TypesMinimum Number of Items:1Kit type summary. -
maxRange: integer
(int32)
Title:
Maximum RangeMaximum range.Example:100 -
minRange: integer
(int32)
Title:
Minimum RangeMinimum range.Example:0 -
name: string
Title:
Group NameName of the dynamic group.Example:Group 1
Nested Schema : Kit Types
Type:
arrayTitle:
Kit TypesMinimum Number of Items:
1Kit type summary.
Show Source
-
Array of:
object KitTypeSummary v1.0
Title:
KitTypeSummary v1.0Kit type summary details object.
Nested Schema : KitTypeSummary v1.0
Type:
objectTitle:
KitTypeSummary v1.0Kit type summary details object.
Show Source
-
id(required): string
(uuid)
Title:
Kit Type IDKit type identifier. -
initialShippingUnits: number
(double)
Minimum Value:
0Maximum Value:99The number of kits of each type that are in the initial shipment.Example:50 -
manualConsignment: number
(double)
Minimum Value:
0Maximum Value:99The number of kits of each type that are included in a manual shipment.Example:50 -
maxBuffer: number
(double)
Minimum Value:
0The number of kits that will be present at the site after a resupply shipment arrives.Example:50 -
minBuffer: number
(double)
Minimum Value:
0The number of kits that trigger a shipment when the resupply strategy runs.Example:5 -
resupplyWeeks: number
(double)
Minimum Value:
0Maximum Value:99The number of weeks that the resupply strategy resupplies for.Example:3 -
triggerWeeks: number
(double)
Minimum Value:
0Maximum Value:99The number of weeks that the resupply strategy looks out to determine the supply.Example:3
Response
Supported Media Types
- application/json
200 Response
Successful operation
400 Response
'Validation error, 'Invalid resupply type', 'Resupply already exists', 'Resupply contains duplicate IDs for kit types', 'Invalid kit type'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
'Resupply not found', 'Study identifier does not match any study identifiers in Clinical One.'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object